Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1521065 - Dropdown element selection is not mandatory even when the "Required" parameter is turned ON
Summary: Dropdown element selection is not mandatory even when the "Required" paramete...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - Service
Version: 5.9.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: GA
: 5.9.0
Assignee: Chris Hale
QA Contact: Shveta
URL:
Whiteboard:
Depends On: 1512398
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-12-05 18:00 UTC by Satoe Imaishi
Modified: 2018-03-06 15:26 UTC (History)
8 users (show)

Fixed In Version: 5.9.0.12
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1512398
Environment:
Last Closed: 2018-03-06 15:26:14 UTC
Category: ---
Cloudforms Team: ---


Attachments (Terms of Use)
Demo of dropdown working as expected (deleted)
2018-01-22 21:44 UTC, Chris Hale
no flags Details

Comment 2 Shveta 2018-01-19 18:50:51 UTC
Not fixed in 5.9.0.17.20180116225234_ac8b6f5.
Appliance : https://10.8.198.16
Service :Generic
Dialog :dynamic_values .

Required is True for the dropdown , but without selecting any value I am able to order the service catalog.

Comment 3 Chris Hale 2018-01-22 21:43:50 UTC
Hi Shveta.  I think there is just something wrong with the dialog you had created and used for testing.  I created a new dialog on that system https://10.8.198.16 with a handful of values and I tested it out. It works as expected.  I attached a copy of the demo from that system.

Dialog : Required Dropdown
Catalog Item : generic

Could you please retest and let me know if you have issues.

Comment 4 Chris Hale 2018-01-22 21:44:42 UTC
Created attachment 1384615 [details]
Demo of dropdown working as expected

Comment 5 Shveta 2018-02-05 19:00:10 UTC
Working in 5.9.0.19.20180130154138_e545381


Note You need to log in before you can comment on or make changes to this bug.